Skip to main content
POST
/
api
/
v1
/
test-cards
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/test-cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "cardNumber": "<string>",
  "cardHolderName": "<string>",
  "expiryMonth": 123,
  "expiryYear": 123,
  "cvv": "<string>",
  "cardSchemaType": "Visa",
  "cardType": "Credit",
  "cardBrand": "Bonus",
  "expectedResult": "Success",
  "customErrorCode": "<string>",
  "customErrorMessage": "<string>",
  "simulatedDelayMs": 123,
  "label": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "extraPropertiesDict": {},
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "maskedCardNumber": "<string>",
    "cardNumber": "<string>",
    "cardHolderName": "<string>",
    "expiryMonth": 123,
    "expiryYear": 123,
    "cvv": "<string>",
    "cardSchemaType": "Visa",
    "cardType": "Credit",
    "cardBrand": "Bonus",
    "expectedResult": "Success",
    "customErrorCode": "<string>",
    "customErrorMessage": "<string>",
    "simulatedDelayMs": 123,
    "label": "<string>",
    "isActive": true,
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

cardNumber
string | null
cardHolderName
string | null
expiryMonth
integer<int32>
expiryYear
integer<int32>
cvv
string | null
cardSchemaType
enum<integer>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
cardType
enum<integer>
Available options:
Credit,
Debit,
Prepaid
cardBrand
enum<integer>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
expectedResult
enum<integer>
Available options:
Success,
Declined,
InsufficientFunds,
InvalidCard,
Timeout,
ThreeDSecureRequired,
RandomFailure,
GatewayError
customErrorCode
string | null
customErrorMessage
string | null
simulatedDelayMs
integer<int32> | null
label
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object